Upsert an asset criticality record

Base URL
https://{kibana_url}
  • POST /api/asset_criticality
Auth Deprecated

Deprecated in 9.4.0. Use the Entity Store APIs to assign asset criticality to an entity.

Create or update an asset criticality record for a specific entity.

If a record already exists for the specified entity, that record is overwritten with the specified value. If a record doesn't exist for the specified entity, a new record is created.

Request body

id_field enum required
Values: host.name user.name service.name entity.id
id_value string required

The ID value of the asset.

criticality_level enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
refresh enum

If 'wait_for' the request will wait for the index refresh.

Values: wait_for

Responses

Successful response

application/json
id_field enum required
Values: host.name user.name service.name entity.id
id_value string required

The ID value of the asset.

criticality_level enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
asset object required
criticality enum

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
entity object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
id string required
host object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
service object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
user object
asset object
criticality enum required

The criticality level of the asset.

Values: low_impact medium_impact high_impact extreme_impact
name string required
@timestamp string · format: date-time required

The time the record was created or updated.

400

Invalid request

Base URL
https://{kibana_url}